<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml"/>
	<xsl:param name="param"/>
	<xsl:variable name="imgbase">/cron/pub/</xsl:variable>
	<xsl:variable name="imgbase2">/tools/introspect/pub/</xsl:variable>
	<xsl:variable name="sort"><xsl:value-of select="$param/param/sortby"/></xsl:variable>

    <xsl:template match="/jobs">
        <div xmlns:xrl="http://1060.org/xrl">
     
    <link type="text/css" href="/nkse/style/css/jquery-ui-latest.css" rel="stylesheet" />
	<link type="text/css" href="/nkse/style/css/jquery-datatables-latest.css" rel="stylesheet" />
	<link type="text/css" rel="stylesheet" href="/tools/ae/pub/explore.css"/>
	
    <script type="text/javascript" src="/nkse/style/js/jquery-datatables-latest.js">_</script>
    <script type="text/javascript" src="/nkse/style/js/jquery-ui-latest.js">_</script>
    <script type="text/javascript" src="/tools/ae/pub/main.js">_</script>
    
			
			<script language="javascript"><xsl:comment>
				function doSubmit(name,action)
				{	document.main.name.value=name;
					document.main.action2.value=action;
					document.main.submit();
				}
				$(document).ready(function()
				{	
					initDataTable("tt2" ,
					{	"aaSorting": [],
						"bLengthChange": false,
						"bFilter": true,
						"bSort": true
					}  );
				});
			</xsl:comment></script>
					
			<form method="POST" name="main">
			<input type="hidden" name="sortby" value="{$sort}"/>
			<input type="hidden" name="name" value=""/>
			<input type="hidden" name="action2" value=""/>
			
			<table width="100%" id="tt2" >
				<thead>
				<tr>
					<th>Name</th>
					<th>Module/Request</th>
					<th>Trigger Specification</th>
					<th>Next Scheduled</th>
					<th/>
				</tr>
				</thead>
				<tbody>
						<xsl:apply-templates select="job"/>
				</tbody>
			</table>


			</form>
			
			<div style="margin-top: 1em;">
				<input type="button" value="refresh" onclick="javascript:document.main.submit()" class="btn btn-default"/>
				<xsl:text> </xsl:text>
				<input type="button" value="view log" onclick="javascript:parent.location='/tools/log-view?log=org.netkernel.mod.cron'" class="btn btn-default"/>
				<xsl:text> </xsl:text>
				<input type="button" value="configure log" onclick="javascript:parent.location='/tools/log-levels'" class="btn btn-default"/>
			</div>
			

		</div>
    </xsl:template>

	<xsl:template match="job">
		<tr>
			<td>
				<div style="font-weight: bold;"><xsl:value-of select="name"/></div>
				<div style="font-size: 80%;"><xsl:value-of select="desc"/></div>
			</td>
			<td>
				<div><xsl:value-of select="space"/></div>
				<div>(<xsl:value-of select="version"/>) <a href="/tools/ae/spaceversionredirector?space={space}&amp;version={version}">[explore]</a></div>
				<div>SOURCE <xsl:value-of select="resource"/> </div>
			</td>
			
			<td ><xsl:value-of select="trigger"/></td>
			<td>
				<div><xsl:value-of select="next"/></div>
				<div><xsl:choose>
					<xsl:when test="issueMisfiresOnRestart='true'">(will issue on restart if missed)</xsl:when>
					<xsl:otherwise>(misfires ignored)</xsl:otherwise>
				</xsl:choose>
				</div>
			</td>
			<td>
				<div style="white-space:nowrap;">
				<xsl:choose>
					<xsl:when test="paused">
						<a title="resume"><xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','resume')</xsl:attribute>
							<img style="border: none; padding: 1px;" src="{$imgbase}resume.png"/>
						</a>
					</xsl:when>
					<xsl:otherwise>
						<a title="pause"><xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','pause')</xsl:attribute>
							<img style="border: none; padding: 1px;" src="{$imgbase}pause.png"/>
						</a>
					</xsl:otherwise>
				</xsl:choose>
				<a title="delete"><xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','delete')</xsl:attribute>
					<img style="border: none; padding: 1px;" src="{$imgbase}delete.png"/>
				</a>
				<a title="run now"><xsl:attribute name="href">javascript:doSubmit('<xsl:value-of select="name"/>','run')</xsl:attribute>
					<img style="border: none; padding: 1px;" src="{$imgbase}exec.png"/>
				</a>
				</div>
			</td>
			
		</tr>
	</xsl:template>
	
	<!--
	<xsl:template name="sortButtons">
		<xsl:param name="key"/>
		<xsl:choose>
			<xsl:when test="$sort=$key">
					<a href="?sortby={$key}"><img class="sort" src="{$imgbase2}upSelected.png" alt="[^]"/></a>
			</xsl:when>
			<xsl:otherwise>
				<a href="?sortby={$key}"><img class="sort" src="{$imgbase2}up.png" alt="[^]"/></a>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:choose>
			<xsl:when test="$sort=concat($key,'Rev')">
					<a href="?sortby={$key}Rev"><img class="sort" src="{$imgbase2}downSelected.png" alt="[v]"/></a>
			</xsl:when>
			<xsl:otherwise>
				<a href="?sortby={$key}Rev"><img class="sort" src="{$imgbase2}down.png" alt="[v]"/></a>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>	
	-->
	
</xsl:stylesheet>
